#!/bin/sh

# this script is public domain
# there is no warranty


. ./shellconfigs.rc.sh || exit 1



### LaTeX: portrait
rm -fv ${DOCSBASENAME}.aux ${DOCSBASENAME}.bbl ${DOCSBASENAME}.blg \
    ${DOCSBASENAME}.brf ${DOCSBASENAME}.tmp ${DOCSBASENAME}.log \
    ${DOCSBASENAME}.toc ${DOCSBASENAME}.lot ${DOCSBASENAME}.out \
    ${DOCSBASENAME}.tex ${DOCSBASENAME}.pdf ${DOCSBASENAME}.ps

rm -fv ${DOCSBASENAME}.aux ${DOCSBASENAME}.bbl ${DOCSBASENAME}.blg \
    ${DOCSBASENAME}.brf ${DOCSBASENAME}.tmp ${DOCSBASENAME}.log \
    ${DOCSBASENAME}.toc ${DOCSBASENAME}.lot ${DOCSBASENAME}.out \
    ${DOCSBASENAME}.fls

### LaTeX
### portrait
### 12 pt
rm -fv ${DOCSBASENAME}.12pt.aux ${DOCSBASENAME}.12pt.bbl ${DOCSBASENAME}.12pt.blg \
  ${DOCSBASENAME}.12pt.brf ${DOCSBASENAME}.12pt.tmp ${DOCSBASENAME}.12pt.log \
  ${DOCSBASENAME}.12pt.toc ${DOCSBASENAME}.12pt.lot ${DOCSBASENAME}.12pt.out \
  ${DOCSBASENAME}.12pt.tex ${DOCSBASENAME}.12pt.pdf ${DOCSBASENAME}.12pt.ps \
  ${DOCSBASENAME}.12pt.fls


rm -fv ${DOCSBASENAME}.12pt.aux ${DOCSBASENAME}.12pt.bbl ${DOCSBASENAME}.12pt.blg \
    ${DOCSBASENAME}.12pt.brf ${DOCSBASENAME}.12pt.tmp ${DOCSBASENAME}.12pt.log \
    ${DOCSBASENAME}.12pt.toc ${DOCSBASENAME}.12pt.lot ${DOCSBASENAME}.12pt.out \
    ${DOCSBASENAME}.12pt.fls


### LaTeX: portrait and twoside
rm -fv ${DOCSBASENAME}.twoside.aux ${DOCSBASENAME}.twoside.bbl ${DOCSBASENAME}.twoside.blg \
    ${DOCSBASENAME}.twoside.brf ${DOCSBASENAME}.twoside.tmp ${DOCSBASENAME}.twoside.log \
    ${DOCSBASENAME}.twoside.toc ${DOCSBASENAME}.twoside.lot ${DOCSBASENAME}.twoside.out \
    ${DOCSBASENAME}.twoside.tex ${DOCSBASENAME}.twoside.pdf ${DOCSBASENAME}.twoside.ps \
    ${DOCSBASENAME}.twoside.fls


rm -fv ${DOCSBASENAME}.twoside.aux ${DOCSBASENAME}.twoside.bbl ${DOCSBASENAME}.twoside.blg \
    ${DOCSBASENAME}.twoside.brf ${DOCSBASENAME}.twoside.tmp ${DOCSBASENAME}.twoside.log \
    ${DOCSBASENAME}.twoside.toc ${DOCSBASENAME}.twoside.lot ${DOCSBASENAME}.twoside.out \
    ${DOCSBASENAME}.twoside.fls


### LaTeX
### portrait and twoside
### 12 pt
rm -fv ${DOCSBASENAME}.twoside.12pt.aux ${DOCSBASENAME}.twoside.12pt.bbl ${DOCSBASENAME}.twoside.12pt.blg \
  ${DOCSBASENAME}.twoside.12pt.brf ${DOCSBASENAME}.twoside.12pt.tmp ${DOCSBASENAME}.twoside.12pt.log \
  ${DOCSBASENAME}.twoside.12pt.toc ${DOCSBASENAME}.twoside.12pt.lot ${DOCSBASENAME}.twoside.12pt.out \
  ${DOCSBASENAME}.twoside.12pt.tex ${DOCSBASENAME}.twoside.12pt.pdf ${DOCSBASENAME}.twoside.12pt.ps \
  ${DOCSBASENAME}.twoside.12pt.fls

rm -fv ${DOCSBASENAME}.twoside.12pt.aux ${DOCSBASENAME}.twoside.12pt.bbl ${DOCSBASENAME}.twoside.12pt.blg \
    ${DOCSBASENAME}.twoside.12pt.brf ${DOCSBASENAME}.twoside.12pt.tmp ${DOCSBASENAME}.twoside.12pt.log \
    ${DOCSBASENAME}.twoside.12pt.toc ${DOCSBASENAME}.twoside.12pt.lot ${DOCSBASENAME}.twoside.12pt.out \
    ${DOCSBASENAME}.twoside.12pt.fls


### LaTeX: landscape
rm -fv ${DOCSBASENAME}.landscape.aux ${DOCSBASENAME}.landscape.bbl ${DOCSBASENAME}.landscape.blg \
    ${DOCSBASENAME}.landscape.brf ${DOCSBASENAME}.landscape.tmp ${DOCSBASENAME}.landscape.log \
    ${DOCSBASENAME}.landscape.toc ${DOCSBASENAME}.landscape.lot ${DOCSBASENAME}.landscape.out \
    ${DOCSBASENAME}.landscape.tex ${DOCSBASENAME}.landscape.pdf ${DOCSBASENAME}.landscape.ps

rm -fv ${DOCSBASENAME}.landscape.aux ${DOCSBASENAME}.landscape.bbl ${DOCSBASENAME}.landscape.blg \
    ${DOCSBASENAME}.landscape.brf ${DOCSBASENAME}.landscape.tmp ${DOCSBASENAME}.landscape.log \
    ${DOCSBASENAME}.landscape.toc ${DOCSBASENAME}.landscape.lot ${DOCSBASENAME}.landscape.out \
    ${DOCSBASENAME}.landscape.fls

### LaTeX: woodeneye
rm -fv ${DOCSBASENAME}.woodeneye.aux ${DOCSBASENAME}.woodeneye.bbl ${DOCSBASENAME}.woodeneye.blg \
    ${DOCSBASENAME}.woodeneye.brf ${DOCSBASENAME}.woodeneye.tmp ${DOCSBASENAME}.woodeneye.log \
    ${DOCSBASENAME}.woodeneye.toc ${DOCSBASENAME}.woodeneye.lot ${DOCSBASENAME}.woodeneye.out \
    ${DOCSBASENAME}.woodeneye.tex ${DOCSBASENAME}.woodeneye.pdf ${DOCSBASENAME}.woodeneye.ps \
    ${DOCSBASENAME}.woodeneye.fls

rm -fv ${DOCSBASENAME}.woodeneye.aux ${DOCSBASENAME}.woodeneye.bbl ${DOCSBASENAME}.woodeneye.blg \
    ${DOCSBASENAME}.woodeneye.brf ${DOCSBASENAME}.woodeneye.tmp ${DOCSBASENAME}.woodeneye.log \
    ${DOCSBASENAME}.woodeneye.toc ${DOCSBASENAME}.woodeneye.lot ${DOCSBASENAME}.woodeneye.out \
    ${DOCSBASENAME}.woodeneye.fls


### HTML
rm -fv ${DOCSBASENAME}.html

### DJVU
rm -fv ${DOCSBASENAME}.djvu
rm -fv ${DOCSBASENAME}.12pt.djvu
rm -fv ${DOCSBASENAME}.twoside.djvu
rm -fv ${DOCSBASENAME}.twoside.12pt.djvu
rm -fv ${DOCSBASENAME}.landscape.djvu
rm -fv ${DOCSBASENAME}.woodeneye.djvu

### man http://en.wikipedia.org/wiki/Man_page
rm -fv ${DOCSBASENAME}.man

### texinfo http://en.wikipedia.org/wiki/Texinfo
rm -fv ${DOCSBASENAME}.texi
### info http://en.wikipedia.org/wiki/Info_%28Unix%29
rm -fv ${DOCSBASENAME}.info

### RTF http://en.wikipedia.org/wiki/Rich_Text_Format
rm -fv ${DOCSBASENAME}.rtf

### Plain text http://en.wikipedia.org/wiki/Plain_text
rm -fv ${DOCSBASENAME}.plain.txt

### To be used in very narrow windows, for example in Nintendo DS Lite
### and its homebrew software called Moonshell.
rm -fv ${DOCSBASENAME}.plain40.txt


### ODT
rm -fv ${DOCSBASENAME}.odt

### DOCX http://en.wikipedia.org/wiki/Office_Open_XML
rm -fv ${DOCSBASENAME}.docx

### Docbook XML
rm -fv ${DOCSBASENAME}.xml


### eBook-formats:

### EPUB  http://en.wikipedia.org/wiki/EPUB
rm -fv ${DOCSBASENAME}.epub

rm -fv ${DOCSBASENAME}.epub3.epub

### FB2 http://en.wikipedia.org/wiki/FictionBook
rm -fv ${DOCSBASENAME}.fb2

### HTMLZ
### http://www.fileinfo.com/extension/htmlz
### http://www.file-extensions.org/htmlz-file-extension
rm -fv ${DOCSBASENAME}.htmlz


### MOBI (.mobi or .prc) http://en.wikipedia.org/wiki/Mobipocket
rm -fv ${DOCSBASENAME}.mobi
rm -fv ${DOCSBASENAME}.azw3
rm -fv ${DOCSBASENAME}.kf8
rm -fv ${DOCSBASENAME}.azw
rm -fv ${DOCSBASENAME}.prc


### LIT http://en.wikipedia.org/wiki/Microsoft_Reader
rm -fv ${DOCSBASENAME}.lit

### PDB (and PML ?) http://en.wikipedia.org/wiki/PDB_%28Palm_OS%29
rm -fv ${DOCSBASENAME}.pdb
rm -fv ${DOCSBASENAME}.pml

### LRF http://en.wikipedia.org/wiki/BBeB
rm -fv ${DOCSBASENAME}.lrf

### TCR http://en.wikipedia.org/wiki/TCR
# Text Compression for Reader (.tcr), a compressed text file format
# used by Psion e-book reader software
rm -fv ${DOCSBASENAME}.tcr

### RB (RocketBook or RocketEdition)
# http://filext.com/file-extension/RB
rm -fv ${DOCSBASENAME}.rb

### SNB (Shanda Bambook eBook file)
# http://www.file-extensions.org/snb-file-extension
rm -fv ${DOCSBASENAME}.snb

### OEB (.opf) http://en.wikipedia.org/wiki/Open_eBook
# Superseded by EPUB
rm -fv ${DOCSBASENAME}.oeb
rm -fv ${DOCSBASENAME}.opf

### TXTZ
rm -fv ${DOCSBASENAME}.txtz


